Stop Update
This endpoint is called when Augie obtains an update to a specific stop on a load (arrival, unload, or departure). Clients should implement this endpoint to receive updates.
Body
required
application/json
- Type: string | null
brokerage Load Internal Id requiredOptional internal load ID in the TMS. Use loadNumber as the main ID. Will be null if not provided.
- Type: string
load Number requiredThe unique identifier for the load
- Type: object · StopUpdate
stop Update required
Responses
200 Load updated successfully
Request Example for post/callback/stop-update
curl https://api.prod.goaugment.com/callback/stop-update \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"loadNumber": "",
"brokerageLoadInternalId": null,
"stopUpdate": {
"stopSequenceNumber": 1,
"stopId": "",
"status": "AT_PICKUP",
"arrivalTime": null,
"unloadStartTime": null,
"unloadEta": null,
"departureTime": null,
"timezone": "America/Chicago",
"accessorials": [
"AFTER_HOURS"
],
"dockDoor": "",
"notes": ""
}
}'
No Body

